Subject: Re: bug#23444: 25.0.92; activate-mark-hook does not run after a command has changed the region

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 19:46:30 +0300

> From: Nicolas Richard <[email-masked]>
> Date: Wed, 04 May 2016 14:04:01 +0200
> 
> (side note : in the git repo these docstrings were introduced in commit
> 0251bafb90e63cc7f428e1b91db436c32ad2677c authored by Richard Stallman.
> In the lisp/ChangeLog.12 the author of those lines is said to be Chong
> Yidong. I guess I will pretend I did not see this.)

You don't need to pretend.  I'm quite sure Chong wrote the code and
Richard just committed the change, for some reason.  CVS doesn't have
the equivalent of the --author switch to the 'commit' command, so you
will see a lot of similar cases in old commits.  E.g., all of my
commits were done by Richard or others at first, until I got write
access several years later.

There's nothing funky here.